## mpdtoys 0.8

=== Makefile ===
progs=mpstore mprev mpgenplaylists mpfade sats mpskip mptoggle mprand \
      mpinsert vipl

build:

install:
	install -d $(DESTDIR)/usr/bin/
	install $(progs) $(DESTDIR)/usr/bin/
	
	install -d $(DESTDIR)/usr/share/man/man1/
	for prog in $(progs); do \
		pod2man -c $$prog $$prog > $(DESTDIR)/usr/share/man/man1/$$prog.1; \
	done
	
	for link in mpload mpcp mpmv mpswap; do \
		ln -sf mpstore $(DESTDIR)/usr/bin/$$link; \
		ln -sf mpstore.1 $(DESTDIR)/usr/share/man/man1/$$link.1; \
	done

=== debian/changelog ===
mpdtoys (0.8) unstable; urgency=low

  * vipl: New program, allows editing the mpd playlist in your text editor.
  * Use debhelper v7; rules file minimisation.
  * Use DESTDIR rather than DEST.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Apr 2008 02:04:49 -0400

mpdtoys (0.7) unstable; urgency=low

  * sats: Add -n option allowing to stop after more than one song has played.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Jan 2008 02:52:50 -0500

mpdtoys (0.6) unstable; urgency=low

  * mpswap: Fix handling when two hosts are specified on the command line.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jan 2008 17:28:02 -0500

mpdtoys (0.5) unstable; urgency=low

  * mpskip: Fix mispaste in synopsis. Closes: #457553

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Dec 2007 11:19:50 -0500

mpdtoys (0.4) unstable; urgency=low

  * mptoggle: Allow the playlists to use to be specified at the command line.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Dec 2007 15:39:06 -0500

mpdtoys (0.3) unstable; urgency=low

  * mpswap, mpcp, mpmv: Fix handling of only one host being specified on the
    command line.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Dec 2007 00:03:48 -0500

mpdtoys (0.2) unstable; urgency=low

  * mpgenplaylists: Sort, don't rely on find order.
  * mprev: Don't crash if the playlist is empty.
  * Add mpinsert.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Dec 2007 23:39:54 -0500

mpdtoys (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Dec 2007 16:51:04 -0500

=== debian/control ===
Source: mpdtoys
Section: sound
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Homepage: http://kitenet.net/~joey/code/mpdtoys/
Vcs-Git: git://git.kitenet.net/mpdtoys

Package: mpdtoys
Architecture: all
Depends: perl, libaudio-mpd-perl (>= 0.19.0)
Suggests: mpd, libproc-daemon-perl
Description: small command line tools and toys for MPD
 This is a collection of small toys and tools for doing various things
 to MPD (Music Player Daemon) from the command line. Some of them are
 very useful, while others are only amusing.
 .
 Some examples of things the mpdtoys can do include moving the playing
 song between different mpd daemons on different machines, storing
 the state of a mpd daemon and loading it back later, reversing the
 playlist, slowly fading volume up or down, stopping playback after the
 current song finishes, emulating a skipping record, and editing the
 playlist in a text editor.

## mpdtoys 0.18

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 progs=mpstore mprev mpgenplaylists mpfade sats mpskip mptoggle mprand \
-      mpinsert vipl
+      mpinsert vipl mprompt
 
 build:

=== debian/changelog ===
mpdtoys (0.18) unstable; urgency=low

  * mprompt: Configure getopt to not ignore case. 

 -- Joey Hess <joeyh@debian.org>  Wed, 03 Jun 2009 17:52:32 -0400

mpdtoys (0.17) unstable; urgency=low

  * mprompt: Rename terse switch to -T, -t was already taken.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 May 2009 18:31:48 -0400

mpdtoys (0.16) unstable; urgency=low

  * mpinsert: Don't insert multiple items in reverse order when
    not playing.
  * mpinsert: Only display number of first item added with -n.

 -- Joey Hess <joeyh@debian.org>  Sat, 09 May 2009 20:23:17 -0400

mpdtoys (0.15) unstable; urgency=low

  * mprompt: Add -t switch, enabling a terse output mode where the output
    is intended to be piped to a speech synth such as esound.
  * mpinsert: Add -n switch, which prints the playlist position of
    added items. This is useful if you want to insert an item and then jump
    to it.

 -- Joey Hess <joeyh@debian.org>  Sat, 09 May 2009 17:18:08 -0400

mpdtoys (0.14) unstable; urgency=low

  * mprompt: Add -f parameter that enables fuzzy matching of entered
    search terms. (Needs String::Approx perl module.)

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Apr 2009 14:23:34 -0400

mpdtoys (0.13) unstable; urgency=low

  * mprompt: Add -t parameter, to allow clearing partially entered
    lines after a timeout.

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Apr 2009 20:15:06 -0400

mpdtoys (0.12) unstable; urgency=low

  * mprompt: Support exit on EOF/ctrl-d.
  * vipl, mprompt: Smarter searching, in particular:
    - Remove duplicates from result list.
    - Search for whole albums or artists before individual songs,
      so that songs with the same name do not appear out of order.

 -- Joey Hess <joeyh@debian.org>  Mon, 02 Mar 2009 18:43:55 -0500

mpdtoys (0.11) unstable; urgency=low

  * mprompt: prompt-based mpd client, designed for headless machines

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Feb 2009 19:35:18 -0500

mpdtoys (0.10) unstable; urgency=low

  * Fix some bad man page synopses. Closes: #515304

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Feb 2009 13:35:39 -0500

mpdtoys (0.9) unstable; urgency=low

  * vipl: Fix handling of utf-8 in song info. Closes: #514119

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Feb 2009 17:57:19 -0500

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.1
 Homepage: http://kitenet.net/~joey/code/mpdtoys/
 Vcs-Git: git://git.kitenet.net/mpdtoys
 
 Package: mpdtoys
 Architecture: all
-Depends: perl, libaudio-mpd-perl (>= 0.19.0)
-Suggests: mpd, libproc-daemon-perl
+Depends: perl, libaudio-mpd-perl (>= 0.19.0), ${misc:Depends}
+Suggests: mpd, libproc-daemon-perl, libterm-readkey-perl, libstring-approx-perl
 Description: small command line tools and toys for MPD
  This is a collection of small toys and tools for doing various things
  to MPD (Music Player Daemon) from the command line. Some of them are

## mpdtoys 0.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 progs=mpstore mprev mpgenplaylists mpfade sats mpskip mptoggle mprand \
       mpinsert vipl mprompt
+
+PERLLIBDIR=$(shell perl -e 'use Config; print $$Config{installvendorlib}')
 
 build:
 
@@ -16,3 +18,6 @@
 		ln -sf mpstore $(DESTDIR)/usr/bin/$$link; \
 		ln -sf mpstore.1 $(DESTDIR)/usr/share/man/man1/$$link.1; \
 	done
+
+	install -d $(DESTDIR)/$(PERLLIBDIR)
+	install -m 0644 MpdToys.pm $(DESTDIR)/$(PERLLIBDIR)

=== debian/changelog ===
mpdtoys (0.22) unstable; urgency=low

  * mpswap, mpstore, etc: avoid crash when playing song time is not available.
    Closes: 559182

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Dec 2009 23:38:43 -0500

mpdtoys (0.21) unstable; urgency=low

  * mpinsert: Fix another utf-8 encoding problem. Closes: #549986
  * mpinsert: Avoid printing uninitialized value warning when
    it fails to add any songs and -n is used.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Nov 2009 06:43:25 -0500

mpdtoys (0.20) unstable; urgency=low

  * Work around bug #548305.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Sep 2009 22:14:06 -0400

mpdtoys (0.19) unstable; urgency=low

  * Factored out matching code from mprompt and vipl.
  * mprompt: Enable fuzzy matching by default, if the String::Approx module
    is available. The -f flag is deprecated.
  * vipl: Also enable fuzzy matching by default.
  * vipl: Fix inserting/preservation of streaming urls in the playlist.
  * mprompt, vipl: If the entered value exactly matches a file in the
    mpd collection, use it without doing further matching.
  * mpinsert: Enable partial/whole album/artist/fuzzy matching using
    same code used for mprompt and vipl.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Sep 2009 21:40:06 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Homepage: http://kitenet.net/~joey/code/mpdtoys/
 Vcs-Git: git://git.kitenet.net/mpdtoys

## mpdtoys 0.23

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 progs=mpstore mprev mpgenplaylists mpfade sats mpskip mptoggle mprand \
-      mpinsert vipl mprompt
+      mpinsert vipl mprompt mplength
 
 PERLLIBDIR=$(shell perl -e 'use Config; print $$Config{installvendorlib}')

=== debian/changelog ===
mpdtoys (0.23) unstable; urgency=low

  * mplength: New toy to print length of current playlist.
  * Updated to support change to how conntype is specified in
    Audio::MPD 1.092950

 -- Joey Hess <joeyh@debian.org>  Sat, 06 Mar 2010 22:23:07 -0500

## mpdtoys 0.24

=== debian/changelog ===
mpdtoys (0.24) unstable; urgency=low

  * mprandomwalk: New toy to play random bits of all queued songs.
  * mpinsert: Add -p option to begin playing inserted songs.
    Closes: #608690

 -- Joey Hess <joeyh@debian.org>  Mon, 03 Jan 2011 13:49:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://kitenet.net/~joey/code/mpdtoys/
 Vcs-Git: git://git.kitenet.net/mpdtoys
 
 Package: mpdtoys
 Architecture: all
-Depends: perl, libaudio-mpd-perl (>= 0.19.0), ${misc:Depends}
+Depends: perl, libaudio-mpd-perl (>= 1.100430-1), ${misc:Depends}
 Suggests: mpd, libproc-daemon-perl, libterm-readkey-perl, libstring-approx-perl
 Description: small command line tools and toys for MPD
  This is a collection of small toys and tools for doing various things

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/mpdtoys/news

## mpdtoys 0.25

=== debian/changelog ===
mpdtoys (0.25) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 21:46:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.8.4
 Homepage: http://kitenet.net/~joey/code/mpdtoys/
 Vcs-Git: git://git.kitenet.net/mpdtoys

## mpdtoys 0.25.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 progs=mpstore mprev mpgenplaylists mpfade sats mpskip mptoggle mprand \
-      mpinsert vipl mprompt mplength
+      mpinsert vipl mprompt mplength mprandomwalk
 
 PERLLIBDIR=$(shell perl -e 'use Config; print $$Config{installvendorlib}')

=== debian/changelog ===
mpdtoys (0.25.0) unstable; urgency=medium

  * QA upload.
  * debian/source/format: Explicitly use "3.0 (native)" format.
  * debian/copyright: Refresh information.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
    + Update Vcs-* fields to use git packaging repo under Salsa
      Debian group.
  * mplength: Check whether variable is defined first.
    (Closes: #905378)

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Nov 2019 16:39:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mpdtoys
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper-compat (= 12)
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 4.4.1
 Homepage: http://kitenet.net/~joey/code/mpdtoys/
-Vcs-Git: git://git.kitenet.net/mpdtoys
+Vcs-Git: https://salsa.debian.org/debian/mpdtoys.git
+Vcs-Browser: https://salsa.debian.org/debian/mpdtoys
 
 Package: mpdtoys
 Architecture: all

## mpdtoys 0.25.1

=== debian/changelog ===
mpdtoys (0.25.1) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:59:26 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 12)
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.4.1
-Homepage: http://kitenet.net/~joey/code/mpdtoys/
+Homepage: https://kitenet.net/~joey/code/mpdtoys/
 Vcs-Git: https://salsa.debian.org/debian/mpdtoys.git
 Vcs-Browser: https://salsa.debian.org/debian/mpdtoys

## mpdtoys 0.25.1build1

=== debian/changelog ===
mpdtoys (0.25.1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:59:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.4.1
 Homepage: https://kitenet.net/~joey/code/mpdtoys/
 Vcs-Git: https://salsa.debian.org/debian/mpdtoys.git

## mpdtoys 0.26

=== debian/changelog ===
mpdtoys (0.26-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Convert package to "3.0 (quilt)" format following upstream.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Use new homepage information.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Feb 2023 13:58:51 -0500

=== debian/control ===
Source: mpdtoys
Section: sound
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.2
Homepage: https://joeyh.name/code/mpdtoys/
Vcs-Git: https://salsa.debian.org/debian/mpdtoys.git
Vcs-Browser: https://salsa.debian.org/debian/mpdtoys

Package: mpdtoys
Architecture: all
Depends:
 libaudio-mpd-perl (>= 1.100430-1),
 perl,
 ${misc:Depends},
Suggests:
 libproc-daemon-perl,
 libstring-approx-perl,
 libterm-readkey-perl,
 mpd,
Description: small command line tools and toys for MPD
 This is a collection of small toys and tools for doing various things
 to MPD (Music Player Daemon) from the command line. Some of them are
 very useful, while others are only amusing.
 .
 Some examples of things the mpdtoys can do include moving the playing
 song between different mpd daemons on different machines, storing
 the state of a mpd daemon and loading it back later, reversing the
 playlist, slowly fading volume up or down, stopping playback after the
 current song finishes, emulating a skipping record, and editing the
 playlist in a text editor.
